Subject: Re: bug#23672: 25.0.94; unitialized package specific menus

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Jul 2018 12:23:54 +0300

> From: Tino Calancha <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], Paul Eggert <[email-masked]>, [email-masked]
> Date: Mon, 16 Jul 2018 11:48:16 +0900
> 
> Tino Calancha <[email-masked]> writes:
> 
> > The menus especific to one package, e.g. dired, are not
> > always fully initialized after loading the library:
> > some menus may show _anything_ after click on them.
> >
> >
> > emacs -Q
> > C-x C-f RET
> > ;;; click mouse left button on Menu "Regexp"
> > ;;  The menu doesn't appear correctly.
> > ;;  Same happen with menus: "Mark", "Immediate" or "Subdir"
> > ::  Menu "Operate" shows the wrong information.
> > ;;
> > ;;; Now click mouse left button on Menu "Tools".
> > ;;  The previous menus are refreshed and show the correct information.
> 
> I found one recipe to reproduce the issue:
> *  `M-x' just followed by `C-g'.

And after C-g, do you type "C-x C-f RET" and click "Regexp" on the
menu bar?  Or do you do something else?

> See the video:
> https://www.dropbox.com/s/5gcbi5fc3xmqpow/emacs_bug23672.mkv?dl=0

Sorry, I cannot view MKV files here, so can you either upload a more
widespread format or describe in more details what is going on?

I also wonder whether this is GTK-specific.  Could you try reproducing
this in "emacs -Q -nw"?  If your Emacs is built without GPM support,
you should try F10 instead of a mouse click.

Thanks.